import funciones_aux as fa
from Tkinter import *
def print_buffer(pasillo):
	pasillo = str(pasillo)
	nombre = 'Docs/buffer/'+pasillo+'.txt'
	buffer_vec = fa.lectura_fichero(nombre, '\t')
	buffer_vec = buffer_vec[1]
	buffer_vec[1] = int(buffer_vec[1])
	buffer_vec[1] = str(buffer_vec[1])

	buffer_texto = buffer_vec[0]+'\t'+buffer_vec[1]
	
	#graficar
	buffer_pasillo_columna = Label(ventana, text = buffer_texto, width = 16).place(x = 700, y = 20)
	
def agregar_list(pasillo):
 	import funciones_aux as fa
 	name = "Docs/inventario/"+pasillo+'.txt'
 	matriz = fa.lectura_fichero(name, '\t')
 	matriz[i][3] = matriz[i][3].strip('\n')
 	"""
 	if(matriz[i][3] == 'hueco vacio\n'):
 		matriz[i][3] = 'hueco vacio'
 	else:
	 	for i in range(len(matriz)):
	 		matriz[i][3] = int(matriz[i][3])
	 		matriz[i][3] = str(matriz[i][3])
	"""
 	indice = len(matriz)-1
 	texto = ''
 	for i in range(len(matriz[indice])):
 		texto = texto+str(matriz[indice][i])
 		texto = texto+'\t'+'\t'
 	lst.insert(END,texto)
 	lst.see(END)




